Vendor
Logs the vendor out of the system.
Responses
200
Successfully logged out
statusintegerOptionalExample:
1messagestringOptionalExample:
Successfully Logout400
Invalid request parameters
500
Internal server error
post/vendor/logout
POST /backend/api/vendor/logout HTTP/1.1
Host: 139.59.67.17
Accept: */*
<?xml version="1.0"?>
<object>
<status>1</status>
<message>Successfully Logout</message>
</object>
Authenticates the vendor and logs them into the system.
Body
emailIdstringRequiredExample:
test@gmail.compasswordstringRequiredExample:
Welcome176Responses
200
Successfully logged in
statusintegerOptionalExample:
1messagestringOptionalExample:
Logged In successfully400
Invalid login credentials
500
Internal server error
post/vendor/login
POST /backend/api/vendor/login HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 52
"emailId='test@gmail.com'&password='Welcome176'"<?xml version="1.0"?>
<object>
<status>1</status>
<message>Logged In successfully</message>
</object>
Sends a reset password link to the vendor's email address.
Body
emailIdstringRequiredExample:
test@gmail.comResponses
200
Reset password link sent successfully
statusintegerOptionalExample:
1messagestringOptionalExample:
Reset Password link has been sent to your email inbox.400
Invalid email or request
500
Internal server error
put/vendor/forgot-password-link
PUT /backend/api/vendor/forgot-password-link HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 28
"emailId='test@gmail.com'"<?xml version="1.0"?>
<object>
<status>1</status>
<message>Reset Password link has been sent to your email inbox.</message>
</object>
Sends an OTP to the provided email address for vendor authentication.
Body
emailIdstringRequiredExample:
test@gmail.comResponses
200
OTP sent successfully
statusintegerOptionalExample:
1messagestringOptionalExample:
OTP successfully sent to the provided email address400
Bad Request
500
Internal server error
post/vendor/send-otp
POST /backend/api/vendor/send-otp HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 28
"emailId='test@gmail.com'"<?xml version="1.0"?>
<object>
<status>1</status>
<message>OTP successfully sent to the provided email address</message>
</object>
Registers a new vendor with necessary details like email, name, company, and OTP.
Body
emailIdstringRequiredExample:
test@gmail.comlastNamestringOptional
companyNamestringRequiredExample:
piccofirstNamestringRequiredExample:
piccoindustryIdintegerOptionalExample:
1passwordstringRequiredExample:
dfhbdshf@otpstringRequiredExample:
235434tscbooleanRequiredExample:
trueResponses
200
Vendor registration successful
statusintegerOptionalExample:
1messagestringOptionalExample:
Thank you for expressing your interest and registering for selling your products. Kindly wait for admin approval400
Bad Request
500
Internal server error
post/vendor/register
POST /backend/api/vendor/register HTTP/1.1
Host: 139.59.67.17
Content-Type: application/x-www-form-urlencoded
Accept: */*
Content-Length: 148
"emailId='test@gmail.com'&lastName=''&companyName='picco'&firstName='picco'&industryId=1&password='dfhbdshf@'&otp='235434'&tsc=true"<?xml version="1.0"?>
<object>
<status>1</status>
<message>Thank you for expressing your interest and registering for selling your products. Kindly wait for admin approval</message>
</object>
Last updated

